️ SERVER TIME: GMT-05

Latidos

GET https://monitor.dsnetx.com/api/heartbeats/
curl --request GET \
--url 'https://monitor.dsnetx.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
Parámetros Detalles Descripción
page Opcional Entero El número de página del que deseas obtener resultados. Por defecto es 1
results_per_page Opcional Entero Cuántos resultados deseas por página. Los valores permitidos son: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Por defecto es 25
{ "data": [ { "id": 1, "project_id": 0, "name": "Demo cron", "code": "12345678901112131415", "settings": { "run_interval": 1, "run_interval_type": "minutes", "run_interval_grace": 1, "run_interval_grace_type": "seconds" }, "is_ok": 1, "uptime": 75.5, "downtime": 24.5, "total_runs": 50, "total_missed_runs": 15, "last_run_datetime": "2021-03-30 19:17:22", "notifications": { "email_is_enabled": 0, "webhook": "", "slack": "", "twilio": "" }, "is_enabled": true, "datetime": "2026-04-17 10:43:35" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://monitor.dsnetx.com/api/heartbeats?&page=1", "last": "https://monitor.dsnetx.com/api/heartbeats?&page=1", "next": null, "prev": null, "self": "https://monitor.dsnetx.com/api/heartbeats?&page=1" } }
GET https://monitor.dsnetx.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://monitor.dsnetx.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "project_id": 0, "name": "Demo cron", "code": "12345678901112131415", "settings": { "run_interval": 1, "run_interval_type": "minutes", "run_interval_grace": 1, "run_interval_grace_type": "seconds" }, "is_ok": 1, "uptime": 75.5, "downtime": 24.5, "total_runs": 50, "total_missed_runs": 15, "last_run_datetime": "2021-03-30 19:17:22", "notifications": { "email_is_enabled": 0, "webhook": "", "slack": "", "twilio": "" }, "is_enabled": true, "datetime": "2026-04-17 10:43:35" } }
POST https://monitor.dsnetx.com/api/heartbeats
Parámetros Detalles Descripción
name Requerido Cadena -
run_interval Opcional Entero -
run_interval_type Opcional Cadena Valores permitidos: seconds, minutes, hours, days
run_interval_grace Opcional Entero -
run_interval_grace_type Opcional Cadena Valores permitidos: seconds, minutes, hours, days
is_ok_notifications Opcional Arreglo IDs de manejador de notificaciones
is_enabled Opcional Booleano -
curl --request POST \
--url 'https://monitor.dsnetx.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{ "data": { "id": 1 } }
POST https://monitor.dsnetx.com/api/heartbeats/{heartbeat_id}
Parámetros Detalles Descripción
name Opcional Cadena -
run_interval Opcional Entero -
run_interval_type Opcional Cadena Valores permitidos: seconds, minutes, hours, days
run_interval_grace Opcional Entero -
run_interval_grace_type Opcional Cadena Valores permitidos: seconds, minutes, hours, days
is_ok_notifications Opcional Arreglo IDs de manejador de notificaciones
is_enabled Opcional Booleano -
curl --request POST \
--url 'https://monitor.dsnetx.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{ "data": { "id": 1 } }
DELETE https://monitor.dsnetx.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://monitor.dsnetx.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \